﻿from PIL import Image	# la bibliothèque PIL doit avoir été installée (pas de pb avec edupython)
im1 = Image.open("butterfly.jpg")		# ouverture du fichier image source de votre prof en vacances.
L,H = im1.size					# L = largeur de l’image, H = sa hauteur, en pixels
print (L,H)
im2 = Image.new("RGB",(L,H))			# création de l’image destination (niveaux de gris) « vide »
for y in range(H):				# on balaie toutes les lignes de l’image source, de 0 à H-1
    for x in range(L):				# pour chaque ligne on balaie toutes les colonnes, de 0 à L-1
        p = im1.getpixel((x,y))			# en stockant le pixel (x,y) dans p
        r = 0					# p[0] est la composante rouge, p[1] la composante verte, et p[2] la
        v = 0					#composante bleue
        b = p[2]
        im2.putpixel((x,y),(r,v,b))			# on écrit le pixel modifié sur l’image destination
im2.save("butterfly_bleu.jpg")			# on stocke l’image résultante,
im2.show()					# on affiche l'image.
